Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | Oracle Corporation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlcp.wlng.edr.store
Class CdrData

    java.lang.Object
      com.bea.wlcp.wlng.edr.store.CdrData

All Implemented Interfaces:
  Serializable

public class CdrData
extends Object
implements Serializable

Class holding the data of a CDR. It is used by the storage service to write the data to the DB.

See Also:
  Serialized Form

  Copyright © 2008 Oracle Corporation. All Rights Reserved.

Constructor Summary
`CdrData()`

Method Summary
`byte[]` | `getAdditionalInfo()`
`long` | `getAmountOfUsage()`
`String` | `getApplicationId()`
`String` | `getApplicationInstanceGroupId()`
`String` | `getChargingInfo()`
`long` | `getConnectTime()`
`String` | `getContainerTransactionId()`
`String` | `getDestinationParty()`
`long` | `getDurationOfUsage()`
`long` | `getEndOfUsage()`
`String` | `getOriginatingParty()`
`String` | `getServerName()`
`String` | `getServiceCorrelationId()`
`String` | `getServiceName()`
`String` | `getServiceProvider()`
`String` | `getSessionId()`
`long` | `getStartOfUsage()`
`long` | `getTimeStamp()`
`long` | `getTransactionId()`
`void` | `setAdditionalInfo(byte[] additionalInfo)`
`void` | `setAmountOfUsage(long amountOfUsage)`
`void` | `setApplicationId(String applicationId)`
`void` | `setApplicationInstanceGroupId(String applicationInstanceGroupId)`
`void` | `setChargingInfo(String chargingInfo)`
`void` | `setConnectTime(long connectTime)`
`void` | `setContainerTransactionId(String containerTransactionId)`
`void` | `setDestinationParty(String destinationParty)`
`void` | `setDurationOfUsage(long durationOfUsage)`
`void` | `setEndOfUsage(long endOfUsage)`
`void` | `setOriginatingParty(String originatingParty)`
`void` | `setServerName(String serverName)`
`void` | `setServiceCorrelationId(String serviceCorrelationId)`
`void` | `setServiceName(String serviceName)`
`void` | `setServiceProvider(String serviceProvider)`
`void` | `setSessionId(String sessionId)`
`void` | `setStartOfUsage(long startOfUsage)`
`void` | `setTimeStamp(long timeStamp)`
`void` | `setTransactionId(long transactionId)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CdrData

    public CdrData()

Method Detail

### getAdditionalInfo

    public byte[] getAdditionalInfo()

### getAmountOfUsage

    public long getAmountOfUsage()

### getApplicationId

    public String getApplicationId()

### getApplicationInstanceGroupId

    public String getApplicationInstanceGroupId()

### getChargingInfo

    public String getChargingInfo()

### getConnectTime

    public long getConnectTime()

### getContainerTransactionId

    public String getContainerTransactionId()

### getDestinationParty

    public String getDestinationParty()

### getDurationOfUsage

    public long getDurationOfUsage()

### getEndOfUsage

    public long getEndOfUsage()

### getOriginatingParty

    public String getOriginatingParty()

### getServerName

    public String getServerName()

### getServiceCorrelationId

    public String getServiceCorrelationId()

### getServiceName

    public String getServiceName()

### getServiceProvider

    public String getServiceProvider()

### getSessionId

    public String getSessionId()

### getStartOfUsage

    public long getStartOfUsage()

### getTimeStamp

    public long getTimeStamp()

### getTransactionId

    public long getTransactionId()

### setAdditionalInfo

    public void setAdditionalInfo(byte[] additionalInfo)

### setAmountOfUsage

    public void setAmountOfUsage(long amountOfUsage)

### setApplicationId

    public void setApplicationId(String applicationId)

### setApplicationInstanceGroupId

    public void setApplicationInstanceGroupId(String applicationInstanceGroupId)

### setChargingInfo

    public void setChargingInfo(String chargingInfo)

### setConnectTime

    public void setConnectTime(long connectTime)

### setContainerTransactionId

    public void setContainerTransactionId(String containerTransactionId)

### setDestinationParty

    public void setDestinationParty(String destinationParty)

### setDurationOfUsage

    public void setDurationOfUsage(long durationOfUsage)

### setEndOfUsage

    public void setEndOfUsage(long endOfUsage)

### setOriginatingParty

    public void setOriginatingParty(String originatingParty)

### setServerName

    public void setServerName(String serverName)

### setServiceCorrelationId

    public void setServiceCorrelationId(String serviceCorrelationId)

### setServiceName

    public void setServiceName(String serviceName)

### setServiceProvider

    public void setServiceProvider(String serviceProvider)

### setSessionId

    public void setSessionId(String sessionId)

### setStartOfUsage

    public void setStartOfUsage(long startOfUsage)

### setTimeStamp

    public void setTimeStamp(long timeStamp)

### setTransactionId

    public void setTransactionId(long transactionId)

### toString

    public String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | Oracle Corporation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD